<html>
<head>
<title>OGRE: Ogre::RaySceneQuery Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RaySceneQuery.html">RaySceneQuery</a></div>
<h1>Ogre::RaySceneQuery Class Reference</h1><!-- doxytag: class="Ogre::RaySceneQuery" --><!-- doxytag: inherits="Ogre::SceneQuery,Ogre::RaySceneQueryListener" -->Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying along a ray.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::RaySceneQuery:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1RaySceneQuery-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b">WFT_NONE</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38">WFT_PLANE_BOUNDED_REGION</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3">WFT_SINGLE_INTERSECTION</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925">WFT_CUSTOM_GEOMETRY</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d">WFT_RENDER_OPERATION</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This type can be used by collaborating applications &amp; SceneManagers to agree on the type of world geometry to be returned from queries.  <a href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#12314a210a23fe1d729dfabb7fb6a713">RaySceneQuery</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *mgr)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#d7ff2d01587542d02d4132b05ad98895">~RaySceneQuery</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#5a96085659aec2c0df9c271f4372a74a">setRay</a> (const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;ray)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the ray which is to be used for this query.  <a href="#5a96085659aec2c0df9c271f4372a74a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a52c6519f3f41db3c3c710744cf5c29c">getRay</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the ray which is to be used for this query.  <a href="#a52c6519f3f41db3c3c710744cf5c29c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#32f960cc88fd644922bfc4c58643f993">setSortByDistance</a> (bool sort, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> maxresults=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether the results of this query will be sorted by distance along the ray.  <a href="#32f960cc88fd644922bfc4c58643f993"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#d6b5a607a86b67189390c1a9c772b1e8">getSortByDistance</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether the results are sorted by distance.  <a href="#d6b5a607a86b67189390c1a9c772b1e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#f7580c31b2de8c2dd17ecf03e448b8ba">getMaxResults</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the maximum number of results returned from the query (only relevant if results are being sorted).  <a href="#f7580c31b2de8c2dd17ecf03e448b8ba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#d5087789b2926c64033a6bc61f78476c">execute</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Executes the query, returning the results back in one list.  <a href="#d5087789b2926c64033a6bc61f78476c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#e970c405851a2725dc7341dcddc4534e">execute</a> (<a class="el" href="classOgre_1_1RaySceneQueryListener.html">RaySceneQueryListener</a> *listener)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Executes the query and returns each match through a listener interface.  <a href="#e970c405851a2725dc7341dcddc4534e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#ef129845061d1bdfb9cb92a75c531a63">getLastResults</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.  <a href="#ef129845061d1bdfb9cb92a75c531a63"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#e93bb5dafd039eb08c44cd42215c34c4">clearResults</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears the results of the last query execution.  <a href="#e93bb5dafd039eb08c44cd42215c34c4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#88c9810df53d94b893bc5aef885d14a1">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *obj, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Self-callback in order to deal with execute which returns collection.  <a href="#88c9810df53d94b893bc5aef885d14a1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#bd5211784dd04e0e0705fe21d43cb900">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Self-callback in order to deal with execute which returns collection.  <a href="#bd5211784dd04e0e0705fe21d43cb900"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#d392a7fc0b338e5507540d3183f82cfb">setQueryMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the mask for results of this query.  <a href="#d392a7fc0b338e5507540d3183f82cfb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a6fb367ec862186fba933d13295b366f">getQueryMask</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the current mask for this query.  <a href="#a6fb367ec862186fba933d13295b366f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#baca8d4d9b59a571e2d8e9a2cac7ce42">setQueryTypeMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the type mask for results of this query.  <a href="#baca8d4d9b59a571e2d8e9a2cac7ce42"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#13b381e390f4a38ae3c73cb4e42ef634">getQueryTypeMask</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the current mask for this query.  <a href="#13b381e390f4a38ae3c73cb4e42ef634"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ec3aa0b8b16c41fae990ee78150f8d2a">setWorldFragmentType</a> (enum <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> wft)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.  <a href="#ec3aa0b8b16c41fae990ee78150f8d2a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#fa48a4dec3b1603e3c579526582a69cb">getWorldFragmentType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current world fragment types to be returned from the query.  <a href="#fa48a4dec3b1603e3c579526582a69cb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
std::set<br>
&lt; <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#dda215d4b5d717b6e09def4d02f445e6">getSupportedWorldFragmentTypes</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the types of world fragments this query supports.  <a href="#dda215d4b5d717b6e09def4d02f445e6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Ray.html">Ray</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#549a2d58803cafe0f5c0e36e750e58e6">mRay</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#90940fd45a737eb1c23d19045a875999">mSortByDistance</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#37493a877c05ae2cd72c343c037418f9">mMaxResults</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#6703cadb44854b231a12d4e399d64aab">mResult</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#36c06292c148746a8950b5c3c60b63a7">mParentSceneMgr</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#1ab71f92378d94fc42b48c7bf8d9b5a0">mQueryMask</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#b6bea8046f722f02c27b0c0de794f13d">mQueryTypeMask</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::set<br>
&lt; <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ab0a829ac0c1ac1045dac7db2320a3c8">mSupportedWorldFragments</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#9cef909c3f78d2e9f3ef44ca8c2cfdaa">mWorldFragmentType</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying along a ray. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00370">370</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a"></a><!-- doxytag: member="Ogre::RaySceneQuery::WorldFragmentType" ref="0a75b5ed976da2f9023382f4c4514b3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">Ogre::SceneQuery::WorldFragmentType</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This type can be used by collaborating applications &amp; SceneManagers to agree on the type of world geometry to be returned from queries. 
<p>
Not all these types will be supported by all SceneManagers; once the application has decided which <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> specialisation to use, it is expected that it will know which type of world geometry abstraction is available to it. <dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b"></a><!-- doxytag: member="WFT_NONE" ref="0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b" args="" -->WFT_NONE</em>&nbsp;</td><td>
Return no world geometry hits at all. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38"></a><!-- doxytag: member="WFT_PLANE_BOUNDED_REGION" ref="0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38" args="" -->WFT_PLANE_BOUNDED_REGION</em>&nbsp;</td><td>
Return pointers to convex plane-bounded regions. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3"></a><!-- doxytag: member="WFT_SINGLE_INTERSECTION" ref="0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3" args="" -->WFT_SINGLE_INTERSECTION</em>&nbsp;</td><td>
Return a single intersection point (typically <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a> only). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925"></a><!-- doxytag: member="WFT_CUSTOM_GEOMETRY" ref="0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925" args="" -->WFT_CUSTOM_GEOMETRY</em>&nbsp;</td><td>
Custom geometry as defined by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d"></a><!-- doxytag: member="WFT_RENDER_OPERATION" ref="0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d" args="" -->WFT_RENDER_OPERATION</em>&nbsp;</td><td>
General <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> structure. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00077">77</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="12314a210a23fe1d729dfabb7fb6a713"></a><!-- doxytag: member="Ogre::RaySceneQuery::RaySceneQuery" ref="12314a210a23fe1d729dfabb7fb6a713" args="(SceneManager *mgr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RaySceneQuery::RaySceneQuery           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>mgr</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d7ff2d01587542d02d4132b05ad98895"></a><!-- doxytag: member="Ogre::RaySceneQuery::~RaySceneQuery" ref="d7ff2d01587542d02d4132b05ad98895" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RaySceneQuery::~RaySceneQuery           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5a96085659aec2c0df9c271f4372a74a"></a><!-- doxytag: member="Ogre::RaySceneQuery::setRay" ref="5a96085659aec2c0df9c271f4372a74a" args="(const Ray &amp;ray)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RaySceneQuery::setRay           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>ray</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the ray which is to be used for this query. 
<p>

</div>
</div><p>
<a class="anchor" name="a52c6519f3f41db3c3c710744cf5c29c"></a><!-- doxytag: member="Ogre::RaySceneQuery::getRay" ref="a52c6519f3f41db3c3c710744cf5c29c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Ray.html">Ray</a>&amp; Ogre::RaySceneQuery::getRay           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the ray which is to be used for this query. 
<p>

</div>
</div><p>
<a class="anchor" name="32f960cc88fd644922bfc4c58643f993"></a><!-- doxytag: member="Ogre::RaySceneQuery::setSortByDistance" ref="32f960cc88fd644922bfc4c58643f993" args="(bool sort, ushort maxresults=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RaySceneQuery::setSortByDistance           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>sort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>maxresults</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether the results of this query will be sorted by distance along the ray. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Often you want to know what was the first object a ray intersected with, and this method allows you to ask the query to sort the results so that the nearest results are listed first. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Note that because the query returns results based on bounding volumes, the ray may not actually intersect the detail of the objects returned from the query, just their bounding volumes. For this reason the caller is advised to use more detailed intersection tests on the results if a more accurate result is required; OGRE uses bounds checking in order to give the most speedy results since not all applications need extreme accuracy. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>sort</em>&nbsp;</td><td>If true, results will be sorted. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>maxresults</em>&nbsp;</td><td>If sorting is enabled, this value can be used to constrain the maximum number of results that are returned. Please note (as above) that the use of bounding volumes mean that accuracy is not guaranteed; if in doubt, allow more results and filter them in more detail. 0 means unlimited results. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="d6b5a607a86b67189390c1a9c772b1e8"></a><!-- doxytag: member="Ogre::RaySceneQuery::getSortByDistance" ref="d6b5a607a86b67189390c1a9c772b1e8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RaySceneQuery::getSortByDistance           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether the results are sorted by distance. 
<p>

</div>
</div><p>
<a class="anchor" name="f7580c31b2de8c2dd17ecf03e448b8ba"></a><!-- doxytag: member="Ogre::RaySceneQuery::getMaxResults" ref="f7580c31b2de8c2dd17ecf03e448b8ba" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::RaySceneQuery::getMaxResults           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the maximum number of results returned from the query (only relevant if results are being sorted). 
<p>

</div>
</div><p>
<a class="anchor" name="d5087789b2926c64033a6bc61f78476c"></a><!-- doxytag: member="Ogre::RaySceneQuery::execute" ref="d5087789b2926c64033a6bc61f78476c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a>&amp; Ogre::RaySceneQuery::execute           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Executes the query, returning the results back in one list. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method executes the scene query as configured, gathers the results into one structure and returns a reference to that structure. These results will also persist in this query object until the next query is executed, or <a class="el" href="classOgre_1_1RaySceneQuery.html#e93bb5dafd039eb08c44cd42215c34c4" title="Clears the results of the last query execution.">clearResults()</a> is called. An more lightweight version of this method that returns results through a listener is also available. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e970c405851a2725dc7341dcddc4534e"></a><!-- doxytag: member="Ogre::RaySceneQuery::execute" ref="e970c405851a2725dc7341dcddc4534e" args="(RaySceneQueryListener *listener)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RaySceneQuery::execute           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RaySceneQueryListener.html">RaySceneQueryListener</a> *&nbsp;</td>
          <td class="paramname"> <em>listener</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Executes the query and returns each match through a listener interface. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Note that this method does not store the results of the query internally so does not update the 'last result' value. This means that this version of execute is more lightweight and therefore more efficient than the version which returns the results as a collection. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1DefaultRaySceneQuery.html#f653e97b901d83ccc38446fedf5f9885">Ogre::DefaultRaySceneQuery</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef129845061d1bdfb9cb92a75c531a63"></a><!-- doxytag: member="Ogre::RaySceneQuery::getLastResults" ref="ef129845061d1bdfb9cb92a75c531a63" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a>&amp; Ogre::RaySceneQuery::getLastResults           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute. 
<p>

</div>
</div><p>
<a class="anchor" name="e93bb5dafd039eb08c44cd42215c34c4"></a><!-- doxytag: member="Ogre::RaySceneQuery::clearResults" ref="e93bb5dafd039eb08c44cd42215c34c4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::RaySceneQuery::clearResults           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears the results of the last query execution. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You only need to call this if you specifically want to free up the memory used by this object to hold the last query results. This object clears the results itself when executing and when destroying itself. </dd></dl>

</div>
</div><p>
<a class="anchor" name="88c9810df53d94b893bc5aef885d14a1"></a><!-- doxytag: member="Ogre::RaySceneQuery::queryResult" ref="88c9810df53d94b893bc5aef885d14a1" args="(MovableObject *obj, Real distance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RaySceneQuery::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>distance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Self-callback in order to deal with execute which returns collection. 
<p>

<p>Implements <a class="el" href="classOgre_1_1RaySceneQueryListener.html#c3c09aba6b71ca28d721be30ed8f06ed">Ogre::RaySceneQueryListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="bd5211784dd04e0e0705fe21d43cb900"></a><!-- doxytag: member="Ogre::RaySceneQuery::queryResult" ref="bd5211784dd04e0e0705fe21d43cb900" args="(SceneQuery::WorldFragment *fragment, Real distance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RaySceneQuery::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&nbsp;</td>
          <td class="paramname"> <em>fragment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>distance</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Self-callback in order to deal with execute which returns collection. 
<p>

<p>Implements <a class="el" href="classOgre_1_1RaySceneQueryListener.html#7c390bfdec4a3e7eaf0491d8cc7b6d3c">Ogre::RaySceneQueryListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="d392a7fc0b338e5507540d3183f82cfb"></a><!-- doxytag: member="Ogre::RaySceneQuery::setQueryMask" ref="d392a7fc0b338e5507540d3183f82cfb" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::SceneQuery::setQueryMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the mask for results of this query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method allows you to set a 'mask' to limit the results of this query to certain types of result. The actual meaning of this value is up to the application; basically <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> instances will only be returned from this query if a bitwise AND operation between this mask value and the <a class="el" href="classOgre_1_1MovableObject.html#5c40b9b7d9f3231f9ba16a3514f7495a" title="Returns the query flags relevant for this object.">MovableObject::getQueryFlags</a> value is non-zero. The application will have to decide what each of the bits means. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a6fb367ec862186fba933d13295b366f"></a><!-- doxytag: member="Ogre::RaySceneQuery::getQueryMask" ref="a6fb367ec862186fba933d13295b366f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::SceneQuery::getQueryMask           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the current mask for this query. 
<p>

</div>
</div><p>
<a class="anchor" name="baca8d4d9b59a571e2d8e9a2cac7ce42"></a><!-- doxytag: member="Ogre::RaySceneQuery::setQueryTypeMask" ref="baca8d4d9b59a571e2d8e9a2cac7ce42" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::SceneQuery::setQueryTypeMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the type mask for results of this query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method allows you to set a 'type mask' to limit the results of this query to certain types of objects. Whilst setQueryMask deals with flags set per instance of object, this method deals with setting a mask on flags set per type of object. Both may exclude an object from query results. </dd></dl>

</div>
</div><p>
<a class="anchor" name="13b381e390f4a38ae3c73cb4e42ef634"></a><!-- doxytag: member="Ogre::RaySceneQuery::getQueryTypeMask" ref="13b381e390f4a38ae3c73cb4e42ef634" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::SceneQuery::getQueryTypeMask           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the current mask for this query. 
<p>

</div>
</div><p>
<a class="anchor" name="ec3aa0b8b16c41fae990ee78150f8d2a"></a><!-- doxytag: member="Ogre::RaySceneQuery::setWorldFragmentType" ref="ec3aa0b8b16c41fae990ee78150f8d2a" args="(enum WorldFragmentType wft)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::SceneQuery::setWorldFragmentType           </td>
          <td>(</td>
          <td class="paramtype">enum <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&nbsp;</td>
          <td class="paramname"> <em>wft</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The application receiving the world geometry is expected to know what to do with it; inevitably this means that the application must have knowledge of at least some of the structures used by the custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The default setting is WFT_NONE. </dd></dl>

</div>
</div><p>
<a class="anchor" name="fa48a4dec3b1603e3c579526582a69cb"></a><!-- doxytag: member="Ogre::RaySceneQuery::getWorldFragmentType" ref="fa48a4dec3b1603e3c579526582a69cb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> Ogre::SceneQuery::getWorldFragmentType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current world fragment types to be returned from the query. 
<p>

</div>
</div><p>
<a class="anchor" name="dda215d4b5d717b6e09def4d02f445e6"></a><!-- doxytag: member="Ogre::RaySceneQuery::getSupportedWorldFragmentTypes" ref="dda215d4b5d717b6e09def4d02f445e6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const std::set&lt;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&gt;* Ogre::SceneQuery::getSupportedWorldFragmentTypes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the types of world fragments this query supports. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00169">169</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="549a2d58803cafe0f5c0e36e750e58e6"></a><!-- doxytag: member="Ogre::RaySceneQuery::mRay" ref="549a2d58803cafe0f5c0e36e750e58e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Ray.html">Ray</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#549a2d58803cafe0f5c0e36e750e58e6">Ogre::RaySceneQuery::mRay</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00373">373</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="90940fd45a737eb1c23d19045a875999"></a><!-- doxytag: member="Ogre::RaySceneQuery::mSortByDistance" ref="90940fd45a737eb1c23d19045a875999" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RaySceneQuery.html#90940fd45a737eb1c23d19045a875999">Ogre::RaySceneQuery::mSortByDistance</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00374">374</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="37493a877c05ae2cd72c343c037418f9"></a><!-- doxytag: member="Ogre::RaySceneQuery::mMaxResults" ref="37493a877c05ae2cd72c343c037418f9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#37493a877c05ae2cd72c343c037418f9">Ogre::RaySceneQuery::mMaxResults</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00375">375</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6703cadb44854b231a12d4e399d64aab"></a><!-- doxytag: member="Ogre::RaySceneQuery::mResult" ref="6703cadb44854b231a12d4e399d64aab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#6703cadb44854b231a12d4e399d64aab">Ogre::RaySceneQuery::mResult</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00376">376</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="36c06292c148746a8950b5c3c60b63a7"></a><!-- doxytag: member="Ogre::RaySceneQuery::mParentSceneMgr" ref="36c06292c148746a8950b5c3c60b63a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneQuery.html#36c06292c148746a8950b5c3c60b63a7">Ogre::SceneQuery::mParentSceneMgr</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00117">117</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ab71f92378d94fc42b48c7bf8d9b5a0"></a><!-- doxytag: member="Ogre::RaySceneQuery::mQueryMask" ref="1ab71f92378d94fc42b48c7bf8d9b5a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#1ab71f92378d94fc42b48c7bf8d9b5a0">Ogre::SceneQuery::mQueryMask</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00118">118</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6bea8046f722f02c27b0c0de794f13d"></a><!-- doxytag: member="Ogre::RaySceneQuery::mQueryTypeMask" ref="b6bea8046f722f02c27b0c0de794f13d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#b6bea8046f722f02c27b0c0de794f13d">Ogre::SceneQuery::mQueryTypeMask</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00119">119</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ab0a829ac0c1ac1045dac7db2320a3c8"></a><!-- doxytag: member="Ogre::RaySceneQuery::mSupportedWorldFragments" ref="ab0a829ac0c1ac1045dac7db2320a3c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt;<a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&gt; <a class="el" href="classOgre_1_1SceneQuery.html#ab0a829ac0c1ac1045dac7db2320a3c8">Ogre::SceneQuery::mSupportedWorldFragments</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00120">120</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9cef909c3f78d2e9f3ef44ca8c2cfdaa"></a><!-- doxytag: member="Ogre::RaySceneQuery::mWorldFragmentType" ref="9cef909c3f78d2e9f3ef44ca8c2cfdaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> <a class="el" href="classOgre_1_1SceneQuery.html#9cef909c3f78d2e9f3ef44ca8c2cfdaa">Ogre::SceneQuery::mWorldFragmentType</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00121">121</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:31 2008
</p>
</body>
</html>
